<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="ALL" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="7d170888-4ff4-4088-b8a9-49f833600e0c" name="Changes" comment="">
      <change afterPath="$PROJECT_DIR$/.idea/runConfigurations/Build_MicroLauncher___Development.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/runConfigurations/Build_MicroLauncher___Production.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/LICENSE" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/cmd/root.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/cmd/run.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/go.mod" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/go.sum" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/log/log.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/main/main.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/test/log_test.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.gitignore" beforeDir="false" afterPath="$PROJECT_DIR$/.gitignore" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/.gitignore" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/MicroLauncher.iml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/MicroLauncher.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/discord.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/discord.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/inspectionProfiles/Project_Default.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/jsLibraryMappings.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/webResources.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/assets/image/MicroLauncher.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/package.json" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main.ts" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/OpenAL.dll" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/SlimeGame-0.0.1-SNAPSHOT.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/assimp.dll" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/glfw.dll" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/joml-1.10.0.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/log4j-api-2.14.1.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/log4j-core-2.14.1.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/lwjgl-assimp.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/lwjgl-glfw.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/lwjgl-openal.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/lwjgl-openvr.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/lwjgl-stb.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/lwjgl-vma.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/lwjgl-vulkan.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/lwjgl.dll" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/lwjgl.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/test/lwjgl_openvr.dll" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/tsconfig.json" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/yarn.lock" beforeDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Go Application" />
      </list>
    </option>
  </component>
  <component name="GOROOT" url="file://$USER_HOME$/.local/opt/sdks/go1.17.6" />
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProblemsViewState">
    <option name="selectedTabId" value="ProjectErrors" />
  </component>
  <component name="ProjectId" id="23mo39iR25myAD5MENOLCE1FKNh" />
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ASKED_ADD_EXTERNAL_FILES" value="true" />
    <property name="DefaultGoTemplateProperty" value="Go Application" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="configurable..is.expanded" value="false" />
    <property name="configurable.GoLibrariesConfigurable.is.expanded" value="true" />
    <property name="go.format.on.save.advertiser.fired" value="true" />
    <property name="go.formatter.settings.were.checked" value="true" />
    <property name="go.import.settings.migrated" value="true" />
    <property name="go.modules.go.list.on.any.changes.was.set" value="true" />
    <property name="go.watchers.conflict.with.on.save.actions.check.performed" value="true" />
    <property name="last_opened_file_path" value="$USER_HOME$" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.detected.package.tslint" value="true" />
    <property name="node.js.selected.package.eslint" value="(autodetect)" />
    <property name="node.js.selected.package.tslint" value="(autodetect)" />
    <property name="run.code.analysis.last.selected.profile" value="pProject Default" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$" />
      <recent name="$PROJECT_DIR$/core" />
      <recent name="$PROJECT_DIR$/test_filesize" />
    </key>
  </component>
  <component name="RunManager" selected="Go Build.Build MicroLauncher - Development">
    <list>
      <item itemvalue="Go Build.Build MicroLauncher - Production" />
      <item itemvalue="Go Build.Build MicroLauncher - Development" />
    </list>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="VcsManagerConfiguration">
    <option name="ADD_EXTERNAL_FILES_SILENTLY" value="true" />
  </component>
  <component name="VgoProject">
    <integration-enabled>true</integration-enabled>
  </component>
</project>